Subject: Re: bug#77774: stipples as fill-column indicator

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Apr 2025 11:55:15 +0300

> Date: Mon, 14 Apr 2025 10:08:14 +0200
> Cc: [email-masked]
> From: Johann Höchtl <[email-masked]>
> 
> I do still believe it is a bug.

Please explain why.

> I changed the definition of to
> 
> (set-face-attribute 'fill-column-indicator nil :background nil 
> :foreground "white" :stipple '(10 1 " \x0\x0\x0\x0\x0\x0"))
> 
> one blank representing a single set bit, followed by quite a few null 
> string literals as I do not know what happens if I dynamically change 
> font sizes. Does this influence the necessity to change the bitmap 
> literal of a stipple?

I don't think stipple bitmaps are automatically extended as you change
the text scale.  Po Lu, is that supposed to work automagically
somehow?

> Nonetheless, at Linux at scale level 0 a single line is shown, at some 
> increases of the scale level  I see two or more lines, at higher scale 
> levels just one again.

What happens if you enlarge the bitmap even more?

> Also, display-line-numbers-mode influences the position of the stipples. 
> Which IMHO shouldn't be the case.

True.  But that is a different problem.